Package com.emc.documentum.rest.model

# Class PreferenceObject

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PreferenceObject

All Implemented Interfaces:
  `Linkable`

public class PreferenceObject extends AbstractLinkable
Persistent object resource.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DocumentObject`
  `originDocument`
  `static final String`
  `PROPERTY_CLIENT`
  `static final String`
  `PROPERTY_CONTENT`
  `static final String`
  `PROPERTY_CREATE`
  `static final String`
  `PROPERTY_KEYWORDS`
  `static final String`
  `PROPERTY_SUBJECT`
  `static final String`
  `PROPERTY_TITLE`
  `static final String`
  `PROPERTY_UPDATE`
  `static final String`
  `PROPERTY_USER`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreferenceObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addKeyword(String keyword)`
  `String`
  `getClient()`
  `String`
  `getContent()`
  `Date`
  `getCreateDate()`
  `List<String>`
  `getKeywords()`
  `DocumentObject`
  `getOriginDocument()`
  `String`
  `getSubject()`
  `String`
  `getTitle()`
  `Date`
  `getUpdateDate()`
  `String`
  `getUser()`
  `void`
  `setClient(String client)`
  `void`
  `setContent(String content)`
  `void`
  `setCreateDate(Date createDate)`
  `void`
  `setKeywords(List<String> keywords)`
  `void`
  `setOriginDocument(DocumentObject document)`
  `void`
  `setSubject(String subject)`
  `void`
  `setTitle(String title)`
  `void`
  `setUpdateDate(Date updateDate)`
  `void`
  `setUser(String user)`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROPERTY_CLIENT

    public static final String PROPERTY_CLIENT
    See Also:
      - Constant Field Values

  - ### PROPERTY_USER

    public static final String PROPERTY_USER
    See Also:
      - Constant Field Values

  - ### PROPERTY_CONTENT

    public static final String PROPERTY_CONTENT
    See Also:
      - Constant Field Values

  - ### PROPERTY_TITLE

    public static final String PROPERTY_TITLE
    See Also:
      - Constant Field Values

  - ### PROPERTY_SUBJECT

    public static final String PROPERTY_SUBJECT
    See Also:
      - Constant Field Values

  - ### PROPERTY_KEYWORDS

    public static final String PROPERTY_KEYWORDS
    See Also:
      - Constant Field Values

  - ### PROPERTY_CREATE

    public static final String PROPERTY_CREATE
    See Also:
      - Constant Field Values

  - ### PROPERTY_UPDATE

    public static final String PROPERTY_UPDATE
    See Also:
      - Constant Field Values

  - ### originDocument

    protected DocumentObject originDocument

- ## Constructor Details

  - ### PreferenceObject

    public PreferenceObject()

- ## Method Details

  - ### getClient

    public String getClient()

  - ### setClient

    public void setClient(String client)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getContent

    public String getContent()

  - ### setContent

    public void setContent(String content)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getSubject

    public String getSubject()

  - ### setSubject

    public void setSubject(String subject)

  - ### getKeywords

    public List<String> getKeywords()

  - ### setKeywords

    public void setKeywords(List<String> keywords)

  - ### addKeyword

    public void addKeyword(String keyword)

  - ### getCreateDate

    public Date getCreateDate()

  - ### setCreateDate

    public void setCreateDate(Date createDate)

  - ### getUpdateDate

    public Date getUpdateDate()

  - ### setUpdateDate

    public void setUpdateDate(Date updateDate)

  - ### getOriginDocument

    public DocumentObject getOriginDocument()

  - ### setOriginDocument

    public void setOriginDocument(DocumentObject document)